"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var electron_1 = require("electron");
var dialog = require('electron').dialog || require('electron').remote.dialog;
var config_1 = require("../js/config");
var windowManager = require("../js/window-manager");
var locale_1 = require("../locale/locale");
var eventType_1 = require("./eventType");
var AutomatedSingleSignOn = (function () {
    function AutomatedSingleSignOn(ssoCode) {
        this.ssoCode = ssoCode;
    }
    AutomatedSingleSignOn.prototype.onResponseReceived = function (event) {
        if (event.detail && event.detail.reachedMaximumAccounts) {
            var detail = config_1.MAXIMUM_ACCOUNTS === 1
                ? locale_1.getText('wrapperAddAccountErrorMessageSingular')
                : locale_1.getText('wrapperAddAccountErrorMessagePlural');
            var message = config_1.MAXIMUM_ACCOUNTS === 1
                ? locale_1.getText('wrapperAddAccountErrorTitleSingular')
                : locale_1.getText('wrapperAddAccountErrorTitlePlural');
            dialog.showMessageBox({
                detail: detail,
                message: message,
                type: 'warning',
            });
        }
    };
    AutomatedSingleSignOn.prototype.start = function () {
        return __awaiter(this, void 0, void 0, function () {
            var _this = this;
            return __generator(this, function (_a) {
                window.addEventListener(eventType_1.EVENT_TYPE.ACTION.CREATE_SSO_ACCOUNT_RESPONSE, function (event) { return _this.onResponseReceived(event); }, {
                    once: true,
                });
                window.dispatchEvent(new CustomEvent(eventType_1.EVENT_TYPE.ACTION.CREATE_SSO_ACCOUNT, {
                    detail: {
                        code: this.ssoCode,
                    },
                }));
                return [2];
            });
        });
    };
    AutomatedSingleSignOn.handleProtocolRequest = function (route) { return __awaiter(_this, void 0, void 0, function () {
        var sendCodeToRenderer, main;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    if (typeof route.pathname !== 'string') {
                        return [2];
                    }
                    sendCodeToRenderer = function () {
                        var code = route.pathname.trim().substr(1);
                        main.webContents.send(eventType_1.EVENT_TYPE.ACCOUNT.SSO_LOGIN, code);
                    };
                    return [4, electron_1.app.whenReady()];
                case 1:
                    _a.sent();
                    main = windowManager.getPrimaryWindow();
                    if (main.webContents.isLoading()) {
                        main.webContents.once('did-finish-load', function () { return sendCodeToRenderer(); });
                    }
                    else {
                        if (!main.isVisible()) {
                            main.show();
                            main.focus();
                        }
                        sendCodeToRenderer();
                    }
                    return [2];
            }
        });
    }); };
    return AutomatedSingleSignOn;
}());
exports.AutomatedSingleSignOn = AutomatedSingleSignOn;
//# sourceMappingURL=AutomatedSingleSignOn.js.map